Available in VPC
Delete a Cloud DB for Cache manual backup.
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- deleteCloudCacheManualBackup API: Support for Valkey and Redis DBMS
- deleteCloudRedisManualBackup API: Support for Redis DBMS
deleteCloudCacheManualBackup API
This section describes the request and response formats for the deleteCloudCacheManualBackup API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /deleteCloudCacheManualBackup |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
cloudCacheInstanceNo |
String | Required | Cloud DB for Cache instance number |
fileNameList.N |
List[String] | Required | List of backup file names
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/deleteCloudCacheManualBackup
?regionCode=KR
&cloudCacheInstanceNo=***821
&fileNameList.1=2022****'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}'
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.
Response example
The response example is as follows:
-
If
responseFormatType=json{ "deleteCloudCacheManualBackupResponse": { "requestId": "e5a2ba21-beea-4ab5-a5d0-7c8f056a925c", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<deleteCloudCacheManualBackupResponse> <requestId>f293fb65-bdd3-4633-bda2-8d84cd8d7271</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> </deleteCloudCacheManualBackupResponse>
deleteCloudRedisManualBackup API
This section describes the request and response formats for the deleteCloudRedisManualBackup API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vredis/v2/deleteCloudRedisManualBackup |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for Cache instance to delete the manual backup from
|
cloudRedisInstanceNo |
String | Required | Cloud DB for Cache instance number |
fileNameList.N |
List[String] | Required | List of backup file names
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/deleteCloudRedisManualBackup
?regionCode=KR
&cloudRedisInstanceNo=****511
&fileNameList.1=2024****' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.
Response example
The response example is as follows:
-
If
responseFormatType=json{ "deleteCloudRedisManualBackupResponse": { "requestId": "fdf919d4-****-****-****-759d77e42fba", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <deleteCloudRedisManualBackupResponse> <requestId>fdf919d4-****-****-****-759d77e42fba</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> </deleteCloudRedisManualBackupResponse>